%define upstream_name    Graphics-TIFF
%define upstream_version 21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for the libtiff library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Graphics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: pkgconfig(libtiff-4) >= 4.0.3
BuildRequires: libtiff-progs
BuildRequires: perl-devel
%description
The Graphics::TIFF module allows a Perl developer to access TIFF images.
Find out more about libtiff at the http://www.libtiff.org manpage.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install

%check
unset TEST_AUTHOR
%make_build test

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 21.0.0-3.mga10
+ Revision: 2225946
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 21.0.0-2.mga10
+ Revision: 2088055
- Rebuild against new perl

* Thu May 09 2024 tv <tv> 21.0.0-1.mga10
+ Revision: 2062988
- update to 21

* Fri Dec 01 2023 tv <tv> 20.0.0-2.mga10
+ Revision: 2012016
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 20.0.0-1.mga10
+ Revision: 1981087
- update to 20

* Mon Dec 12 2022 ns80 <ns80> 19.0.0-2.mga9
+ Revision: 1921094
- rebuild for new libtiff

* Fri Jun 10 2022 tv <tv> 19.0.0-1.mga9
+ Revision: 1863869
- update to 19

* Tue Jun 07 2022 umeabot <umeabot> 18.0.0-3.mga9
+ Revision: 1861909
- Rebuild for Perl 5.36

* Mon Mar 28 2022 umeabot <umeabot> 18.0.0-2.mga9
+ Revision: 1830547
- Mageia 9 Mass Rebuild

* Tue Nov 02 2021 tv <tv> 18.0.0-1.mga9
+ Revision: 1753681
- update to 18

* Sat Oct 16 2021 tv <tv> 17.0.0-1.mga9
+ Revision: 1751827
- update to 17

* Tue Jun 29 2021 tv <tv> 16.0.0-1.mga9
+ Revision: 1734227
- update to 16

* Tue Jun 08 2021 tv <tv> 15.0.0-1.mga9
+ Revision: 1730161
- update to 15

* Tue Jun 01 2021 tv <tv> 14.0.0-1.mga9
+ Revision: 1729178
- update to 14

* Mon May 24 2021 umeabot <umeabot> 12.0.0-2.mga9
+ Revision: 1726705
- Rebuild for perl 5.34

* Tue May 04 2021 tv <tv> 12.0.0-1.mga9
+ Revision: 1721311
- update to 12

* Fri Apr 23 2021 tv <tv> 10.0.0-1.mga9
+ Revision: 1718034
- update to 10

* Wed Nov 11 2020 tv <tv> 7.0.0-1.mga9
+ Revision: 1644702
- imported package perl-Graphics-TIFF


* Wed Nov 11 2020 Thierry Vignaud <tv@mageia.org> 7.0.0-1.mga8
- initial mageia release, generated with cpan2dist
